API ReferenceManagementLists
POST
/v1/mgmt/list/text/check

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

id*string
Length1 <= length <= 254
text?string
Lengthlength <= 254
texts?array<string>
string
Itemsitems <= 100
matchAll?boolean

When true, exists is true only if every text is in the list, otherwise if any is

Check if a text exists in a list. Send texts to check several texts in one request: exists is true if any of them is in the list, or only if all of them are when matchAll is true.

curl -X POST "https://api.descope.com/v1/mgmt/list/text/check" \  -H "Content-Type: application/json" \  -d '{    "id": "string"  }'
{  "exists": true}
export interface Response {exists?: boolean}
Was this helpful?